View Issue Details

IDProjectCategoryView StatusLast Update
0000990bareos-core[All Projects] storage daemonpublic2019-10-21 09:50
ReporterfrankuAssigned Tofranku 
PrioritylowSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version17.2.5 
Fixed in Version 
Summary0000990: SD sometimes tries to load empty tape slot (TT4200262)
DescriptionSD sometimes tries to load a tape from a slot that has been loaded into a device before.

The error appears only in larger environments with a huge amount of jobs competing for tape devices using a tape changer.
Additional InformationThis problem is probably caused by a race condition within the reservation algorithm.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impactyes
bareos-18.2: actionfixed
bareos-17.2: impactyes
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

franku

franku

2019-08-05 10:22

developer   ~0003555

Fix committed to bareos bareos-18.2 branch with changesetid 11631.

Related Changesets

bareos: master 4eadcfe2

2019-07-22 16:44:53

franku

Ported: N/A

Details Diff
autochanger: empty slot bug workaround

fixes 0000990: SD sometimes tries to load empty tape slot
Affected Issues
0000990
mod - core/src/stored/askdir.cc Diff File
mod - core/src/stored/autochanger.cc Diff File
mod - core/src/stored/mount.cc Diff File

bareos: bareos-18.2 9ce7cd8d

2019-07-22 16:44:53

franku

Ported: N/A

Details Diff
autochanger: empty slot bug workaround

fixes 0000990: SD sometimes tries to load empty tape slot
Affected Issues
0000990
mod - core/src/stored/askdir.cc Diff File
mod - core/src/stored/autochanger.cc Diff File
mod - core/src/stored/mount.cc Diff File

Issue History

Date Modified Username Field Change
2018-07-23 11:58 franku New Issue
2018-07-23 11:58 franku Status new => assigned
2018-07-23 11:58 franku Assigned To => franku
2019-08-05 09:42 franku bareos-master: impact => yes
2019-08-05 09:42 franku bareos-18.2: impact => yes
2019-08-05 09:42 franku bareos-17.2: impact => yes
2019-08-05 09:48 franku bareos-master: action => fixed
2019-08-05 09:48 franku bareos-18.2: action => fixed
2019-08-05 10:22 franku Changeset attached => bareos master 4eadcfe2
2019-08-05 10:22 franku Changeset attached => bareos bareos-18.2 9ce7cd8d
2019-08-05 10:22 franku Note Added: 0003555
2019-08-05 10:22 franku Status assigned => resolved
2019-08-05 10:22 franku Resolution open => fixed
2019-10-21 09:50 franku Status resolved => closed